function [f,g] = diabetes(x, S)
persistent F G;
if isempty(F) || isempty(G)
load('tanhEnv', 'diabetes_f', 'diabetes_g');
F = diabetes_f; G = diabetes_g;
end
f = F(x,S);
if nargout > 1
g = G(x,S);
end
end
